Subject: [mpls] working group last call fordraft-ietf-mpls-number-0-bw-te-lsps

From: JP Vasseur <[email-masked]>
Date: Fri, 09 Nov 2007 08:29:54 -0500

> Hi Lou,
> 
> Thanks for your comments - in line,

> JP, (co-authors),
> 
>          I have some minor questions and some feedback on the
> draft.  See below.
> 
> 
> 
>> >    TE LSPs signalled with zero bandwidth that are configured and
>> >    provisioned through a management system are not included in the count
>> >    that is reported.
> 
> Two questions WRT the above:
> - Why are such LSPs excluded from reporting?
> - How is the above accomplished for signalled LSPs?
> JP> This should actually read " Unconstrained TE LSPs that are configured and
>    provisioned through a management system are not included in the count
>    that is reported." - Thanks.

> section 3.1:
>> >    The Number of 0-bandwidth TE LSP(s) sub-TLV is OPTIONAL and MUST
>> >    appear at most once within [...]
> and section 3.2:
>> >    The Number of 0-bandwidth TE LSP(s) sub-TLV is OPTIONAL and MUST
>> >    appear at most once within [...]
> 
> While your intent is pretty clear, the phrasing is a bit awkward and
> subject to misinterpretation (i.e., what does it mean for an
> "OPTIONAL" element to "MUST" appear ).  How about rephrasing along
> the lines of (change marked in asterisks):
> 
> "The Number of 0-bandwidth TE LSP(s) sub-TLV is OPTIONAL and MUST
> ***NOT appear more than*** once within [...]"
> 
> JP> Makes a lot of sense. Changed.
> 
> 
>> >4.  Elements of procedure
>> >
>> >    An implementation MAY decide to implement a dual-thresholds mechanism
>> >    based on the number of unconstrained TE LSPs to govern the
>> >    origination of updated OSPF LSA or ISIS LSP.  [...]
> 
> Should either define or point a reference that defines "a
> dual-thresholds mechanism".
> 
> JP> Yes, we've got two options here. (1) Mimic the RFC3209 approach and just
> do not say anything. Isn't it so obvious that implementers will know this
> anyway or (2) start to explain possible approach to avoid too frequent
> flooding. I favor (1). Agree ?
>> >5.  IANA Considerations
>> >
>> >    IANA will assign a new code point for the newly defined IS-IS Number
>> >    of 0-bandwidth TE LSP(s) sub-TLV carried within the TLV 22 (suggested
>> >    value =18).
>> >
>> >    IANA will assign a new code point for the newly defined OSPF Number
>> >    of 0-bandwidth TE LSP(s) sub-TLV carried within the Link TLV (Type 2)
>> >    of the Traffic Engineering LSA (suggested value=18).
> 
> Both suggested values are already assigned.
> JP> Yes thanks, we were waiting for the last minute to update the proposed
> values (next available slot is 23).
> Thanks.
> JP.
> That's it!
> Lou
> 

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: Lou Berger <[email-masked]>
Date: Fri, 09 Nov 2007 08:49:35 -0500

JP,
         Thanks for the response.  See below for a remaining question.

Lou

---

From: JP Vasseur <[email-masked]>
Date: Fri, 16 Nov 2007 13:25:41 -0500

Hi Lou,

> - Why are such LSPs excluded from reporting?

Well if they are configured and provisioned through a management system (non
signaled using RSVP), it is out of the (G)MPLS scope ... The management
system should be used to also report the number of such LSPs. Note that this
is probably not a common situation though.

Thanks.

Cheers.

JP.

---

From: Lou Berger <[email-masked]>
Date: Sun, 18 Nov 2007 12:17:30 -0500

JP,
         See below.

At 01:25 PM 11/16/2007, JP Vasseur wrote:

>signaled using RSVP), it is out of the (G)MPLS scope ...

This is inconsistent with management provisioned LSPs with resources 
(non-zero bandwidth).  Why is this inconsistency desirable?

How about adding the word MAY, i.e., change the text to read 
"...provisioned through a management system MAY not be included in..."

Lou

>The management

---

From: JP Vasseur <[email-masked]>
Date: Tue, 20 Nov 2007 06:16:57 -0500

Hi Lou,

You proposed change is fine with me. Any feed-back from the list?
If not, we'll submit the new revision with that change.

Thanks.

Cheers.

JP.

> From: Lou Berger <[email-masked]>
> Date: Sun, 18 Nov 2007 12:17:30 -0500
> To: JP Vasseur <[email-masked]>
> Cc: <[email-masked]>
> Subject: Re: [mpls] working group last call
> fordraft-ietf-mpls-number-0-bw-te-lsps
> 
> JP,
>          See below.
>

---

From: Lou Berger <[email-masked]>
Date: Tue, 20 Nov 2007 09:34:36 -0500

JP,
         I think this was my sole remaining issue.

Lou